# Vault Guardians

#### The objective of the vault guardian

The vault guardian for each vault aims to submit operations in a way that increases the objective function performance of the vault. While the objective function performance is not currently measured on-chain and tied to any form of performance fees, objective function performance is measured off chain and used to keep the vault guardian accountable.

The vault guardian should also strive to do this in a way that:

* **Mitigates risk**. Stability of objective function performance can be more important than taking highly volatile positions
* **Facilitates explainability** of their actions (which will build trust with the vault owner).

#### Submission flow

When a vault guardian makes a submission with `submit`, it goes through the following lifecycle of steps:

* The vault guardian submits a set of operations
* The `beforeSubmit` hook is executed
* The set of operations are executed 1-by-1 in order. If one of them reverts, the whole chain of transactions reverts.
* The `afterSubmit` hook is executed.

#### How oracles are used to price assets

**ERC20 tokens**

Each ERC20 token has a corresponding oracle that provides the price of that asset with respect to the numeraire. The price of the numeraire asset itself is trivially fixed at 1.

**ERC4626 tokens**

For ERC4626 tokens, the `convertToAssets` function is used to convert a given number of ERC4626 vault shares into an equivalent amount of underlying token. Note that this amount of underlying token may not be immediately withdrawable and represents an estimation. Each underlying token is also an ERC20 token in the vault and from there the oracle is used to further express the ERC4626 share value into numeraire terms.

More details on using convert functions as price oracles can be found in [the ERC4626 specification](https://eips.ethereum.org/EIPS/eip-4626).

#### How to submit operations

Operations can be initiated by calling `submit` on the vault. There are no other actions that the vault guardian is expected to take.

#### Off-chain intelligence

The vault guardian will be expected to develop appropriate off-chain intelligence to make submissions that maximize objective function value while mitigating execution costs. We highlight a few high-level capabilities we expect the vault guardian to develop:

* Objective function measurement / estimation, allowing the vault guardian to consider various scenarios and predict objective function evolution in each of the scenarios. Note that some important of the objective function such as short-term asset prices may not be as predictable as others
* Estimation of rebalancing costs
* Adding appropriate slippage bounds with off-chain price intelligence to protect the vault
* Breaking up strategies across multiple epochs to mitigate the price impact of large trades
* A deep understanding of custom strategies represented in the enabled ERC4626 vaults, their liquidity characteristics and risks
* Risk management monitoring techniques enabling reactions to adverse market circumstances, depeg scenarios, etc.

Please see the [Contact Us](/contact-us.md)to express interest being a Vault Guardian.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aera.finance/v2-archive/guides/vault-guardians.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
